Name:           ocaml-libaio
Version:        1.0
Release:        %mkrel 2
Summary:        OCaml bindings for libaio, Linux kernel AIO access library
License:        LGPL with static compilation exception
Group:          Development/Other
URL:            http://forge.ocamlcore.org/projects/libaio-ocaml/
Source0:        http://forge.ocamlcore.org/frs/download.php/818/libaio-ocaml_%{version}.orig.tar.gz
BuildRequires:  ocaml
BuildRequires:  ocaml-findlib
BuildRequires:  libaio-devel
BuildRequires:  tetex-latex
BuildRequires:  gzip
Requires: libaio-devel

%description
This OCaml-library interfaces the libaio (Linux kernel AIO access
library) C library. It enables ocaml programs to use Linux kernel
fast asynchronous I/O system calls, important for the performance
of databases and other advanced applications.

Compared with the OCaml standard and Unix I/O functions this library:
 * does not block
 * does I/O in the background
 * calls a continuation when the I/O has completed

%package devel
Summary:        OCaml bindings for libaio, Linux kernel AIO access library
Group:          Development/Other
Requires:       %{name} = %{version}-%{release}

%description -n %{name}-devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n libaio-ocaml-%{version}

%build
make
make doc
gzip --best lib/doc/aio/latex/doc.ps

%install
rm -rf %{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR
make install OCAMLFIND_INSTFLAGS="-ldconf ignore"

%files
%doc LICENSE CHANGES README.txt
%dir %{_libdir}/ocaml/aio
%{_libdir}/ocaml/aio/META
%{_libdir}/ocaml/aio/*.cma
%{_libdir}/ocaml/aio/*.cmi
%{_libdir}/ocaml/aio/*.so*

%files devel
%doc examples/
%doc lib/doc/aio/html/
%doc lib/doc/aio/latex/*.{dvi,pdf,ps.gz}
%{_libdir}/ocaml/aio/*.a
%{_libdir}/ocaml/aio/*.mli
%{_libdir}/ocaml/aio/*.cmxa


%changelog

* Tue Mar 27 2012 malo <malo> 1.0-2.mga2
+ Revision: 227193
- add missing Requires to libaio-devel

* Sun Mar 25 2012 blue_prawn <blue_prawn> 1.0-1.mga2
+ Revision: 226213
- imported package from Mandriva


* Sat Mar 24 2012 Florent Monnier <blue_prawn@mandriva.org>
- updated to new verion 1.0

* Mon Aug 24 2009 Florent Monnier <blue_prawn@mandriva.org>
+ Revision: 420307
- renamed the package (to remove redundancy)

* Mon Aug 24 2009 Florent Monnier <blue_prawn@mandriva.org>
+ Revision: 420306
- more uniform name

* Mon Aug 24 2009 Florent Monnier <blue_prawn@mandriva.org>
+ Revision: 420305
- more uniform name

* Sun Jun 28 2009 Guillaume Rousse <guillomovitch@mandriva.org>
+ Revision: 390245
- rebuild

* Tue Jan 27 2009 Florent Monnier <blue_prawn@mandriva.org>
+ Revision: 334157
- corrected group

* Tue Jan 27 2009 Florent Monnier <blue_prawn@mandriva.org>
+ Revision: 334114
- import ocaml-libaio-ocaml
